extends Node

const SomeScript = preload("res://some_script.gd")

# Called when the node enters the scene tree for the first time.
func _ready():
	var deps := ResourceLoader.get_dependencies("res://some_script.gd")
	print_debug("some_script.gd dependencies: ", deps)
	if len(deps) == 0:
		printerr("Expected some_script.gd to have dependencies")
	await get_tree().create_timer(1.0).timeout
	get_tree().quit()
